FocusAdapter (Java Platform SE 8 )
Keywords: java.awt.event.FocusAdapter class
Date: 2016-07-28

java.awt.event

## Class FocusAdapter

- java.lang.Object
- - java.awt.event.FocusAdapter

- All Implemented Interfaces:
    FocusListener, EventListener
  Direct Known Subclasses:
    BasicSplitPaneUI.FocusHandler, BasicTabbedPaneUI.FocusHandler

      public abstract class FocusAdapter
      extends Object
      implements FocusListener

  An abstract adapter class for receiving keyboard focus events. The methods in this class are empty. This class exists as convenience for creating listener objects.

  Extend this class to create a `FocusEvent` listener and override the methods for the events of interest. (If you implement the `FocusListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

  Create a listener object using the extended class and then register it with a component using the component's `addFocusListener` method. When the component gains or loses the keyboard focus, the relevant method in the listener object is invoked, and the `FocusEvent` is passed to it.

  Since:
    1.1
  See Also:
    `FocusEvent`, `FocusListener`, Tutorial: Writing a Focus Listener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FocusAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FocusAdapter

          public FocusAdapter()

  - ### Method Detail

    - #### focusGained

          public void focusGained(FocusEvent e)

      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.